Update QuickBooks Stripe-payout settings
Requires a connected QuickBooks company, active clearing Bank/Other Current Asset, deposit Bank, fee/dispute Expense/Other Expense accounts and an active Service item with an income account for fee recovery. Saves mappings and refreshes integration compatibility. Requires permission: one of access_payment_gateways.
curl --request PUT \
--url https://api.gratona.com/v1/admin/quickbooks/stripe-payouts/settings \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"stripe_clearing_account_id": "Stripe Clearing Account Id",
"stripe_bank_account_id": "Stripe Bank Account Id",
"stripe_processing_fee_expense_account_id": "Stripe Processing Fee Expense Account Id",
"stripe_dispute_account_id": "Stripe Dispute Account Id",
"stripe_fee_recovery_item_id": "Stripe Fee Recovery Item Id"
}
'import requests
url = "https://api.gratona.com/v1/admin/quickbooks/stripe-payouts/settings"
payload = {
"stripe_clearing_account_id": "Stripe Clearing Account Id",
"stripe_bank_account_id": "Stripe Bank Account Id",
"stripe_processing_fee_expense_account_id": "Stripe Processing Fee Expense Account Id",
"stripe_dispute_account_id": "Stripe Dispute Account Id",
"stripe_fee_recovery_item_id": "Stripe Fee Recovery Item Id"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
stripe_clearing_account_id: 'Stripe Clearing Account Id',
stripe_bank_account_id: 'Stripe Bank Account Id',
stripe_processing_fee_expense_account_id: 'Stripe Processing Fee Expense Account Id',
stripe_dispute_account_id: 'Stripe Dispute Account Id',
stripe_fee_recovery_item_id: 'Stripe Fee Recovery Item Id'
})
};
fetch('https://api.gratona.com/v1/admin/quickbooks/stripe-payouts/settings', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.gratona.com/v1/admin/quickbooks/stripe-payouts/settings",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
'stripe_clearing_account_id' => 'Stripe Clearing Account Id',
'stripe_bank_account_id' => 'Stripe Bank Account Id',
'stripe_processing_fee_expense_account_id' => 'Stripe Processing Fee Expense Account Id',
'stripe_dispute_account_id' => 'Stripe Dispute Account Id',
'stripe_fee_recovery_item_id' => 'Stripe Fee Recovery Item Id'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.gratona.com/v1/admin/quickbooks/stripe-payouts/settings"
payload := strings.NewReader("{\n \"stripe_clearing_account_id\": \"Stripe Clearing Account Id\",\n \"stripe_bank_account_id\": \"Stripe Bank Account Id\",\n \"stripe_processing_fee_expense_account_id\": \"Stripe Processing Fee Expense Account Id\",\n \"stripe_dispute_account_id\": \"Stripe Dispute Account Id\",\n \"stripe_fee_recovery_item_id\": \"Stripe Fee Recovery Item Id\"\n}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.put("https://api.gratona.com/v1/admin/quickbooks/stripe-payouts/settings")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"stripe_clearing_account_id\": \"Stripe Clearing Account Id\",\n \"stripe_bank_account_id\": \"Stripe Bank Account Id\",\n \"stripe_processing_fee_expense_account_id\": \"Stripe Processing Fee Expense Account Id\",\n \"stripe_dispute_account_id\": \"Stripe Dispute Account Id\",\n \"stripe_fee_recovery_item_id\": \"Stripe Fee Recovery Item Id\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.gratona.com/v1/admin/quickbooks/stripe-payouts/settings")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Put.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"stripe_clearing_account_id\": \"Stripe Clearing Account Id\",\n \"stripe_bank_account_id\": \"Stripe Bank Account Id\",\n \"stripe_processing_fee_expense_account_id\": \"Stripe Processing Fee Expense Account Id\",\n \"stripe_dispute_account_id\": \"Stripe Dispute Account Id\",\n \"stripe_fee_recovery_item_id\": \"Stripe Fee Recovery Item Id\"\n}"
response = http.request(request)
puts response.read_body{
"message": "Stripe payout settings updated.",
"settings": {
"stripe_clearing_account_id": "42",
"stripe_bank_account_id": "42",
"stripe_processing_fee_expense_account_id": "42",
"stripe_dispute_account_id": "42",
"stripe_fee_recovery_item_id": "42"
}
}{
"message": "Unauthorized",
"status": "error"
}{
"errors": {},
"status": "error",
"message": "The given data was invalid."
}Authorizations
Passport bearer token authentication for legacy admin sessions.
Body
Validated request fields for this operation.
Stripe clearing account id. Validation: required, string, max:191.
191"Stripe Clearing Account Id"
Stripe bank account id. Validation: required, string, max:191.
191"Stripe Bank Account Id"
Stripe processing fee expense account id. Validation: required, string, max:191.
191"Stripe Processing Fee Expense Account Id"
Stripe dispute account id. Validation: required, string, max:191.
191"Stripe Dispute Account Id"
Stripe fee recovery item id. Validation: required, string, max:191.
191"Stripe Fee Recovery Item Id"
curl --request PUT \
--url https://api.gratona.com/v1/admin/quickbooks/stripe-payouts/settings \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"stripe_clearing_account_id": "Stripe Clearing Account Id",
"stripe_bank_account_id": "Stripe Bank Account Id",
"stripe_processing_fee_expense_account_id": "Stripe Processing Fee Expense Account Id",
"stripe_dispute_account_id": "Stripe Dispute Account Id",
"stripe_fee_recovery_item_id": "Stripe Fee Recovery Item Id"
}
'import requests
url = "https://api.gratona.com/v1/admin/quickbooks/stripe-payouts/settings"
payload = {
"stripe_clearing_account_id": "Stripe Clearing Account Id",
"stripe_bank_account_id": "Stripe Bank Account Id",
"stripe_processing_fee_expense_account_id": "Stripe Processing Fee Expense Account Id",
"stripe_dispute_account_id": "Stripe Dispute Account Id",
"stripe_fee_recovery_item_id": "Stripe Fee Recovery Item Id"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
stripe_clearing_account_id: 'Stripe Clearing Account Id',
stripe_bank_account_id: 'Stripe Bank Account Id',
stripe_processing_fee_expense_account_id: 'Stripe Processing Fee Expense Account Id',
stripe_dispute_account_id: 'Stripe Dispute Account Id',
stripe_fee_recovery_item_id: 'Stripe Fee Recovery Item Id'
})
};
fetch('https://api.gratona.com/v1/admin/quickbooks/stripe-payouts/settings', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.gratona.com/v1/admin/quickbooks/stripe-payouts/settings",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
'stripe_clearing_account_id' => 'Stripe Clearing Account Id',
'stripe_bank_account_id' => 'Stripe Bank Account Id',
'stripe_processing_fee_expense_account_id' => 'Stripe Processing Fee Expense Account Id',
'stripe_dispute_account_id' => 'Stripe Dispute Account Id',
'stripe_fee_recovery_item_id' => 'Stripe Fee Recovery Item Id'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.gratona.com/v1/admin/quickbooks/stripe-payouts/settings"
payload := strings.NewReader("{\n \"stripe_clearing_account_id\": \"Stripe Clearing Account Id\",\n \"stripe_bank_account_id\": \"Stripe Bank Account Id\",\n \"stripe_processing_fee_expense_account_id\": \"Stripe Processing Fee Expense Account Id\",\n \"stripe_dispute_account_id\": \"Stripe Dispute Account Id\",\n \"stripe_fee_recovery_item_id\": \"Stripe Fee Recovery Item Id\"\n}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.put("https://api.gratona.com/v1/admin/quickbooks/stripe-payouts/settings")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"stripe_clearing_account_id\": \"Stripe Clearing Account Id\",\n \"stripe_bank_account_id\": \"Stripe Bank Account Id\",\n \"stripe_processing_fee_expense_account_id\": \"Stripe Processing Fee Expense Account Id\",\n \"stripe_dispute_account_id\": \"Stripe Dispute Account Id\",\n \"stripe_fee_recovery_item_id\": \"Stripe Fee Recovery Item Id\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.gratona.com/v1/admin/quickbooks/stripe-payouts/settings")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Put.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"stripe_clearing_account_id\": \"Stripe Clearing Account Id\",\n \"stripe_bank_account_id\": \"Stripe Bank Account Id\",\n \"stripe_processing_fee_expense_account_id\": \"Stripe Processing Fee Expense Account Id\",\n \"stripe_dispute_account_id\": \"Stripe Dispute Account Id\",\n \"stripe_fee_recovery_item_id\": \"Stripe Fee Recovery Item Id\"\n}"
response = http.request(request)
puts response.read_body{
"message": "Stripe payout settings updated.",
"settings": {
"stripe_clearing_account_id": "42",
"stripe_bank_account_id": "42",
"stripe_processing_fee_expense_account_id": "42",
"stripe_dispute_account_id": "42",
"stripe_fee_recovery_item_id": "42"
}
}{
"message": "Unauthorized",
"status": "error"
}{
"errors": {},
"status": "error",
"message": "The given data was invalid."
}